/**
 * Static javascript to be used by the page templates
 *
 * Copyright 2004 Roel Gloudemans <roel@gloudemans.info>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 **/
    
/* Colors for the tabs normal and selected */
var Select    = '#cccccc';
var Normal    = '#ffffcc';

                                                                                                                                                             
/* Change color of the tab */
function SelectTab(element_id)
{
  document.getElementById(element_id).style.backgroundColor = Select;
}
                                                                                                                                                             

/* Change it back */
function DeSelectTab(element_id)
{
  document.getElementById(element_id).style.backgroundColor = Normal;
}


/* Show a row of tabs
 *
 * @param array Names      Array of tab names
 * @param array urls       Array of URLs to go with the names
 * @param string id_header A string that should vary per row of tabs
 *                         if id_header == nav no extra space behind the tab
 *                         row will be created
 */                                                                                                                                                                                       
function TabRow(Names,Urls,id_header)
{
  for (counter = 0; counter < Names.length; counter++) {
    document.write('<td class="tooltab" name="' + id_header + counter + '" id="' + id_header + counter + '">');
    document.write('<a class="textlink" href="' + Urls[counter] + '" onmouseover="SelectTab(\'' + id_header + counter + '\');" onmouseout="DeSelectTab(\'' + id_header + counter + '\');">' + Names[counter] + '</a>');
    document.write('</td><td width="1"><img src="/horde/giapeto/config/templates/static/pixel.gif" width="1px"></td>');
  }

  if ((Names.length > 0) && (id_header != 'nav')) {
    document.write('<td><img src="/horde/giapeto/config/templates/static/pixel.gif" width="3px"></td>');
  }
}


/* Show the top menu
 *
 * @param array TopText   Array of strings containing the button screen names
 * @param array TopUrl    Array with the URLs to go with the buttons
 * @param array TopAccess Accesskeys for the buttons
 * @param array TopTarget Window targets for the buttons
 * @param array TopButton htmlcode for the button
 */
function TopMenu(TopText,TopUrl,TopAccess,TopTarget,TopButton)
{
  document.write('<table border="0" cellpadding="0" cellspacing="0" width="100%" style="margin-bottom: 6px">');
  document.write('<tr><td class="menu">');
  document.write('<img src="config/templates/static/heading.gif" border="0" hspace="0" vspace="0" alt="logo">');
  document.write('</td>');
  document.write('<td class="menu" width="100%">&nbsp;</td>');
                                                                                                                                                             
  for (counter = 0; counter < TopUrl.length; counter++) {
    // Construct the document location
    if (TopUrl[counter].substr(0,4) == 'java') {
      var onclick = TopUrl[counter];
    } else {
      switch(TopTarget[counter]) {
        case '_top':
          var onclick = 'top.document.location=\'' + TopUrl[counter] + '\';';
          break;
        case 'blank':
          var onclick = 'window.open(\'' + TopUrl[counter] + '\';';
          break
        default:
          var onclick = 'document.location=\'' + TopUrl[counter] + '\';';
          break;
      }
    }
                                                                                                                                                             
    document.write('<td class="menu" align="center" nowrap="nowrap" style="cursor:pointer;" valign="center" onclick="' + onclick + '">');
    document.write('<a href="' + TopUrl[counter] +'"  onmouseout="window.status=\'\';" onmouseover="window.status=\'' + TopText[counter] + '\'; return true;" class="menuitem" accesskey="' + TopAccess[counter] + '" target="' + TopTarget[counter] + '">' + TopButton[counter] + '</a>&nbsp;');
    document.write('</td>');
  }
  document.write('</tr></table>');
}


/* Show a frame with a news article in it */
function NewsWindow()
{
  var parameters = location.search.substring(1).split('&');
  var parameter  = new Object();
  for (counter = 0; counter < parameters.length; counter++) {
    parameter[parameters[counter].split('=')[0]] = parameters[counter].split('=')[1];
  }
                                                                                                                                                             
  if (typeof(parameter.channel_id) != 'undefined' && typeof(parameter.story_id) != 'undefined') {
    document.write('<tr valign="top"><td>');
    document.write('<iframe frameborder="0" height="400" width="100%" src="/horde/jonah/stories/view.php?channel_id=' + parameter.channel_id + '&story_id=' + parameter.story_id + '"></iframe>');
    document.write('</td></tr>');
  }
}


/* Show a row of tabs
 *
 * @param array SubPageName   Array of tab names
 * @param array SubPageUrl    Array of URLs to go with the names
 * @param array NavPathName   Array of tab names of prev pages
 * @param array NavPathUrl    Array of URLs to go with the names
 * @param string CurrentPage  Name of the current page
 */ 
function Tabs(SubPageName,SubPageUrl,NavPathName,NavPathUrl,CurrentPage)
{
  document.write('<table width="100%" cellspacing="0" cellpadding="0" height="28"><tr>');
  TabRow(SubPageName,SubPageUrl,'sub');
  document.write('<td width="100%" valign="top"><table class="toolfill" width="100%"><tr><td></td></tr></table></td>');
  document.write('<td><img src="/horde/giapeto/config/templates/static/pixel.gif" width="4px"></td>');
  TabRow(NavPathName,NavPathUrl,'nav');
  document.write('<td class="tabselect">' + CurrentPage + '</td></tr></table>');
}


/* Show the main menu
 *
 * @param array Names      Array of tab names
 * @param array urls       Array of URLs to go with the names
 * @param array Hidden     Array of names not to show
 * @param string Target    Window to load link in
 */ 
function MainMenu(Names,Urls,Hidden,Target)
{
  document.write('<table border="0" cellpadding="2" cellspacing="0" width="145">');
  document.write('<tr><td class="sidebar-panel" valign="top">');
  document.write('<table border="0" cellpadding="2" cellspacing="0">');
                                                                                                                                                             
  for (counter = 0; counter < Urls.length; counter++) {
    var ShowIt = true;
   
    // Determine if option should be hidden
    for (hide_counter = 0; hide_counter < Hidden.length; hide_counter++) {
      if (Hidden[hide_counter] == Names[counter]) ShowIt = false;
    }

    if (ShowIt) {
      document.write('<tr>');
      document.write('<td><img src="config/templates/static/' + Names[counter] + '.gif" border="0" hspace="4" width="16" height="16" alt="-"></td>');
      document.write('<td><a class="sidebaritem" href="' + Urls[counter] + '" target="' + Target + '" onmouseout="window.status=\'\';" onmouseover="window.status=\'' + Names[counter] + '\'; return true;">' + Names[counter] + '</a></td>');
      document.write('</tr>');
    }
  }

  document.write('<tr><td colspan="2"><a href="http://www.horde.org" target="_blank" border="0">');
  document.write('<img src="config/templates/static/horde.png" border="0" hspace="4" vspace="8" alt="Powered by Horde">');
  document.write('</a></td></tr></table></td></tr></table>');
}

